#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

Name:		accounts-qml-module
Version:	0.7
Release:	%mkrel 4
Summary:	QML module to manage the user's online accounts
License:	LGPLv2+
Group:		System/Libraries
Url:		https://gitlab.com/accounts-sso/accounts-qml-module
Source0:	https://gitlab.com/accounts-sso/%{name}/-/archive/VERSION_%{version}/%{name}-VERSION_%{version}.tar.bz2
## upstream patches
# PATCH-FIX-UPSTREAM
Patch1:		0001-add-a-CONFIG_no_docs-option-to-skip-building-documentation.patch
Patch2:		0002-Build-add-qmltypes-file-to-repository.patch
# PATCH-FIX-UPSTREAM
Patch3:		0003-Fix-compilation-with-Qt-5.13.patch

BuildRequires:	cmake(AccountsQt5)
BuildRequires:	cmake(SignOnQt5)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Help)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Qml)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Xml)

%description
This QML module provides an API to manage the user's online accounts and get
their authentication data. It's a tiny wrapper around the Qt-based APIs of
libaccounts-qt and libsignon-qt.

%files
%license COPYING
%doc README.md
%{_qt5_qml}/Ubuntu/

#------------------------------------------------------------------------------

%package	doc
Summary:	Documentation for %{name}
BuildArch:	noarch

%description	doc
This package contains the developer documentation for accounts-qml-module.

%files doc
%doc %{_datadir}/%{name}/

#------------------------------------------------------------------------------

%prep
%autosetup -n %{name}-VERSION_%{version} -p1

sed -e 's/-Werror//' -i common-project-config.pri

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

## unpackaged files
# remove tests
rm %{buildroot}%{_bindir}/tst_plugin
# avoid rpmlint warning
rm -fv %{buildroot}/%{_datadir}/%{name}/doc/html/.gitignore


%changelog
* Mon Apr 04 2022 umeabot <umeabot> 0.7-4.mga9
+ Revision: 1843242
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 0.7-3.mga8
+ Revision: 1658122
- Rebuild for new Qt5

* Tue Oct 20 2020 daviddavid <daviddavid> 0.7-2.mga8
+ Revision: 1637245
- fix build disabling -Werror compile flags

* Fri Feb 14 2020 daviddavid <daviddavid> 0.7-1.mga8
+ Revision: 1518048
- initial package accounts-qml-module (needed for plasma >= 5.18)

